// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyAyg0vdTjdDihAmzSUf8cv5aZmNPDRQtfw',
    appId: '1:1577914464:web:2b4ed5357ff6f3c532b305',
    messagingSenderId: '1577914464',
    projectId: 'chatzoom-73b06',
    authDomain: 'chatzoom-73b06.firebaseapp.com',
    storageBucket: 'chatzoom-73b06.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyByQouQ-lyNUWV6haV9pokEnZKNkhWXxl8',
    appId: '1:1577914464:android:8066a5eb9544221132b305',
    messagingSenderId: '1577914464',
    projectId: 'chatzoom-73b06',
    storageBucket: 'chatzoom-73b06.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyDwA4a309v-dvyWuo6E-kkl9Qt2VhuoGxU',
    appId: '1:1577914464:ios:4c942ecbc953180b32b305',
    messagingSenderId: '1577914464',
    projectId: 'chatzoom-73b06',
    storageBucket: 'chatzoom-73b06.appspot.com',
    iosBundleId: 'com.example.chatmessengerapp',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyDwA4a309v-dvyWuo6E-kkl9Qt2VhuoGxU',
    appId: '1:1577914464:ios:f586df1be4ebde7932b305',
    messagingSenderId: '1577914464',
    projectId: 'chatzoom-73b06',
    storageBucket: 'chatzoom-73b06.appspot.com',
    iosBundleId: 'com.example.chatmessengerapp.RunnerTests',
  );
}
